eoGeneralRealBounds(3)

NAME
eoGeneralRealBounds - A class that encapsulate all possible eoIntBounds.

SYNOPSIS

#include <eoRealBounds.h>

Inherits eoRealBounds.

  Public Member Functions
eoGeneralRealBounds (std::string _s='[-infinity,+infinity]')
Ctor: from a string, chooses the type of bound.
eoGeneralRealBounds (const eoGeneralRealBounds &_b)
Need a Cpy Ctor because we are allocating memory.
eoGeneralRealBounds & operator= (const eoGeneralRealBounds &_b)
~eoGeneralRealBounds ()
Need a Dtor because we allocate an actual bound.
virtual bool isBounded (void) const
Self-Test: true if ***both*** a min and a max.
virtual bool hasNoBoundAtAll (void) const
Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool isMinBounded (void) const
Self-Test: bounded from below???
virtual bool isMaxBounded (void) const
Self-Test: bounded from above???
virtual bool isInBounds (double _x) const
Test on a value: is it in bounds?
virtual void foldsInBounds (double &_x) const
Put value back into bounds - by folding back and forth.
virtual void truncate (double &_x) const
Put value back into bounds - by truncating to a boundary value.
virtual double minimum () const
get minimum value ::exception if does not exist
virtual double maximum () const
get maximum value ::exception if does not exist
virtual double range () const
get range ::exception if unbounded
virtual double uniform (eoRng &_rng=eo::rng) const
random generator of uniform numbers in bounds ::exception if unbounded
virtual eoRealBounds * dup () const
for memory managements - ugly
const eoRealBounds & theBounds () const
for efficiency, it's better to use the embedded boud directly
virtual void printOn (std::ostream &_os) const
don't forget the printOn method - again that of the embedded bound
virtual void readFrom (std::istream &_is)
no readFrom ??? Have to check that later

  Private Member Functions
eoRealBounds * getBoundsFromString (std::string)
the constructor for eoGeneralRealBound - from a string very similar to the eoRealVectorBounds::readFrom above but was written much later so the readFrom does not call this one as it should do

  Private Attributes
eoRealBounds * repBound

Detailed Description

A class that encapsulate all possible eoIntBounds. Mandatory in order to read through the parser

Definition at line 506 of file eoRealBounds.h.

Author

Generated automatically by Doxygen for EO from the source code.